Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'
const client = createAdminClient({
baseUrl: 'https://your-store.com',
secretKey: 'sk_xxx',
})
await client.orders.resendConfirmation('or_UkLWZg9DAJ')spree api post /orders/{id}/resend_confirmation -d '{ ... }'{
"id": "or_UkLWZg9DAJ",
"market_id": "mkt_UkLWZg9DAJ",
"withdrawal_period_ends_at": null,
"within_withdrawal_period": true,
"cart_id": null,
"channel_id": "ch_UkLWZg9DAJ",
"company_id": null,
"company_name": null,
"po_document_filename": null,
"po_document_byte_size": null,
"number": "R1001",
"email": "michal.cartwright@hintzdeckow.info",
"customer_note": null,
"po_number": null,
"currency": "USD",
"locale": "en",
"total_quantity": 1,
"coupon_code": null,
"fulfillment_status": null,
"payment_status": null,
"completed_at": "2026-01-15T12:00:00.000Z",
"item_total": "10.0",
"display_item_total": "$10.00",
"adjustment_total": "0.0",
"display_adjustment_total": "$0.00",
"discount_total": "0.0",
"display_discount_total": "$0.00",
"tax_total": "0.0",
"display_tax_total": "$0.00",
"included_tax_total": "0.0",
"display_included_tax_total": "$0.00",
"additional_tax_total": "0.0",
"display_additional_tax_total": "$0.00",
"total": "110.0",
"display_total": "$110.00",
"gift_card_total": "0.0",
"display_gift_card_total": "$0.00",
"amount_due": "110.0",
"display_amount_due": "$110.00",
"delivery_total": "100.0",
"display_delivery_total": "$100.00",
"fee_total": "0.0",
"display_fee_total": "$0.00",
"store_credit_total": "0.0",
"display_store_credit_total": "$0.00",
"covered_by_store_credit": false,
"gift_card": null,
"market": {
"id": "mkt_UkLWZg9DAJ",
"name": "United States",
"currency": "USD",
"default_locale": "en",
"tax_inclusive": false,
"default": true,
"country_codes": [
"US"
],
"supported_locales": [
"en"
],
"tax_provider": null,
"created_at": "2026-01-15T12:00:00.000Z",
"updated_at": "2026-01-15T12:00:00.000Z"
},
"external_references": {},
"status": "placed",
"last_ip_address": null,
"considered_risky": false,
"confirmation_delivered": false,
"store_owner_notification_delivered": null,
"payment_total": "0.0",
"display_payment_total": "$0.00",
"metadata": {},
"cancel_note": null,
"commission_amount_total": "0.0",
"display_commission_amount_total": "$0.00",
"commission_tax_total": "0.0",
"display_commission_tax_total": "$0.00",
"commission_total": "0.0",
"display_commission_total": "$0.00",
"canceled_at": null,
"approved_at": null,
"created_at": "2026-01-15T12:00:00.000Z",
"updated_at": "2026-01-15T12:00:00.000Z",
"preferred_stock_location_id": null,
"po_document_url": null,
"seller_id": null,
"order_group_id": null,
"tags": [],
"internal_note": null,
"internal_note_html": null,
"approver_id": null,
"approver_type": null,
"canceler_id": null,
"canceler_type": null,
"created_by_id": null,
"created_by_type": null,
"cancel_reason_id": null,
"cancel_reason_name": null,
"customer_id": "cust_UkLWZg9DAJ",
"freight_summary": null
}Publishes the order.completed event to trigger confirmation email delivery.
Required scope: write_orders (for API-key authentication).
POST
/
api
/
v3
/
admin
/
orders
/
{id}
/
resend_confirmation
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'
const client = createAdminClient({
baseUrl: 'https://your-store.com',
secretKey: 'sk_xxx',
})
await client.orders.resendConfirmation('or_UkLWZg9DAJ')spree api post /orders/{id}/resend_confirmation -d '{ ... }'{
"id": "or_UkLWZg9DAJ",
"market_id": "mkt_UkLWZg9DAJ",
"withdrawal_period_ends_at": null,
"within_withdrawal_period": true,
"cart_id": null,
"channel_id": "ch_UkLWZg9DAJ",
"company_id": null,
"company_name": null,
"po_document_filename": null,
"po_document_byte_size": null,
"number": "R1001",
"email": "michal.cartwright@hintzdeckow.info",
"customer_note": null,
"po_number": null,
"currency": "USD",
"locale": "en",
"total_quantity": 1,
"coupon_code": null,
"fulfillment_status": null,
"payment_status": null,
"completed_at": "2026-01-15T12:00:00.000Z",
"item_total": "10.0",
"display_item_total": "$10.00",
"adjustment_total": "0.0",
"display_adjustment_total": "$0.00",
"discount_total": "0.0",
"display_discount_total": "$0.00",
"tax_total": "0.0",
"display_tax_total": "$0.00",
"included_tax_total": "0.0",
"display_included_tax_total": "$0.00",
"additional_tax_total": "0.0",
"display_additional_tax_total": "$0.00",
"total": "110.0",
"display_total": "$110.00",
"gift_card_total": "0.0",
"display_gift_card_total": "$0.00",
"amount_due": "110.0",
"display_amount_due": "$110.00",
"delivery_total": "100.0",
"display_delivery_total": "$100.00",
"fee_total": "0.0",
"display_fee_total": "$0.00",
"store_credit_total": "0.0",
"display_store_credit_total": "$0.00",
"covered_by_store_credit": false,
"gift_card": null,
"market": {
"id": "mkt_UkLWZg9DAJ",
"name": "United States",
"currency": "USD",
"default_locale": "en",
"tax_inclusive": false,
"default": true,
"country_codes": [
"US"
],
"supported_locales": [
"en"
],
"tax_provider": null,
"created_at": "2026-01-15T12:00:00.000Z",
"updated_at": "2026-01-15T12:00:00.000Z"
},
"external_references": {},
"status": "placed",
"last_ip_address": null,
"considered_risky": false,
"confirmation_delivered": false,
"store_owner_notification_delivered": null,
"payment_total": "0.0",
"display_payment_total": "$0.00",
"metadata": {},
"cancel_note": null,
"commission_amount_total": "0.0",
"display_commission_amount_total": "$0.00",
"commission_tax_total": "0.0",
"display_commission_tax_total": "$0.00",
"commission_total": "0.0",
"display_commission_total": "$0.00",
"canceled_at": null,
"approved_at": null,
"created_at": "2026-01-15T12:00:00.000Z",
"updated_at": "2026-01-15T12:00:00.000Z",
"preferred_stock_location_id": null,
"po_document_url": null,
"seller_id": null,
"order_group_id": null,
"tags": [],
"internal_note": null,
"internal_note_html": null,
"approver_id": null,
"approver_type": null,
"canceler_id": null,
"canceler_type": null,
"created_by_id": null,
"created_by_type": null,
"cancel_reason_id": null,
"cancel_reason_name": null,
"customer_id": "cust_UkLWZg9DAJ",
"freight_summary": null
}Authorizations
Secret API key for admin access
JWT token for admin user authentication
Headers
Bearer token for admin authentication
Path Parameters
Order ID
Response
200 - application/json
confirmation resent
Was this page helpful?
⌘I

